Create GSTR Authlink
Introduction
This API is responsible for initiating Customer Consent for GSTR Analytics by providing a unique Authentication Link. The user of this API can create the consent request on behalf of the customers by providing relevant GST details of the customer along with the mailing address and/or mobile numbers for whom they want to initiate the GSTR Analytics. A Notification will be sent to the provided contact details along with a unique link. Upon successful completion of Customer verification, the GSTR analytics report will be sent to the user's provided callback URL. You will require an authorization token to use this API. This authorization token will be generated by Signzy for you and will be used in each API call. Please get in touch with [email protected] for this.
cURL
curl --location 'https://api-preproduction.signzy.app/api/v3/underwriting/create-gstr-authlink' \
--header 'Authorization: <Access-Token>' \
--header 'Content-Type: application/json' \
--data '{
"gstin": "12ABCDE3456X7YZ",
"username": "abcde3456x_7",
"fromDate": "022020",
"toDate": "012023",
"entityDetails": true,
"pdfUrl": true,
"callbackUrl": "https://client-specific.callback.url",
"emails": ["[email protected]"],
"mobileNumbers": ["1234567890"],
"confirmationEmails": ["[email protected]"]
}'Request Headers
Key | Value |
|---|---|
Authorization | shared by Signzy |
Content-type | application/json |
Request Body
{
"gstin": "12ABCDE3456X7YZ",
"username": "abcde3456x_7",
"fromDate": "022020",
"toDate": "012023",
"entityDetails": true,
"pdfUrl": true,
"callbackUrl": "https://client-specific.callback.url",
"emails": ["[email protected]"],
"mobileNumbers": ["1234567890"],
"confirmationEmails": ["[email protected]"]
}PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
gstin | GSTIN of the business/customer for which the analytics report is to be generated | String | COMPULSORY |
username | Username of the customer as per GST portal who has to authorize the GST data fetch | String | OPTIONAL |
fromDate | Starting date (MMYYYY format) from which the analytics report is to be generated | String | COMPULSORY |
toDate | Ending date (MMYYYY format) till which the analytics report is to be generated | String | COMPULSORY |
entityDetails | Shall the report consist of GSTR details for the provided GSTIN? | Boolean | OPTIONAL |
pdfUrl | Shall the report be generated in PDF? | Boolean | OPTIONAL |
callbackUrl | The URL which will be used to publish raw GST data | String | COMPULSORY |
emails | The list of emails where the notification would be sent along with Authlink. Max 5 emails allowed. Duplicates not allowed. | Array of String | OPTIONAL |
mobileNumber | The list of mobile numbers where the notification would be sent along with Authlink. Max 5 numbers allowed. Duplicates not allowed. | Array of String | OPTIONAL |
confirmationEmails | The list of emails where the notification would be sent after the successful authentication. Max 5 emails allowed. Duplicates not allowed. | Array of String | OPTIONAL |
Response Data
{
"result": {
"requestId": "4d3ef1bd-bc56-4cc5-9091-f7ddb5de56e9",
"message": "A GSTR Analytics journey has been initiated for the user - abcde3456x_7",
"authLink": "https://underwriting.signzy.app/gstr-analytics/auth/4d3ef1bd-bc56-4cc5-9091-f7ddb5de56e9"
}
}PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
result | This parameter contains the actual output. | Object | COMPULSORY |
requestId | This is a unique 36 character long alphanumeric string created during successful generation of Authlink | String | COMPULSORY |
message | It indicates whether the Authlink has been successfully initiated or not | String | COMPULSORY |
authlink | This parameter enables customer to provide consent for fetching the report by the requester/user | String | COMPULSORY |
Sample Status Codes And Messages
{
"error": {
"name": "error",
"message": "months range exceeding 3 years. Enter valid range.",
"status": 400,
"reason": "VALIDATION_ERROR",
"type": "Bad Request",
"statusCode": 200
}
}
1. Datatype validation issues errors, eg: \"gstin\" must be a string
2. Missing required parameters, eg: \"gstin\" is required
3. Invalid month range
4. months range exceeding 3 years. Enter valid range.
5. Invalid fromDate
6. Invalid toDate
7. Invalid gstin
8. \"callbackUrl\" must be a valid urlGetting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].